import ProcessModal from './ProcessModal';
interface Props {
    urlCheck: string;
    bodyData?: object | string;
    asFormData?: boolean;
    modalTitle?: string;
    onSuccess: (data: any) => void;
    onFinally?: () => void;
    minTime?: number;
}
export default class FullnessModal extends ProcessModal {
    private props;
    private resp;
    private onProcess;
    static create(props: Props): FullnessModal;
    constructor(props: Props);
    private _setSuccess;
    private _setBodyText;
    private _fetchCheck;
    open(): void;
}
export {};
